QGIS Application - Bug report #962
Postgis table with float type attribute interprets null as zero.
2008-02-27 03:22 PM - cgsbob -

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11021
Description

| tried to use Symbology>Continuous Color on a field that has nulls and noticed that these null values are interpreted as 0. As a result, | ani
getting a lot of black dots on my map (which | hoped would not show up on my map) along with white to red colored dots.

| also notice that "Open attribute table" shows these fields as 0 instead of null.

Associated revisions

Revision de07d465 - 2008-03-28 09:00 PM - Jiirgen Fischer

fix #962: the image of the previously rendered feature was used instead of an empty one.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8294 c8812cc2-4d05-0410-92ff-de0c093fc19¢

Revision 90e8d1eb - 2008-03-28 09:00 PM - Jiirgen Fischer

fix #962: the image of the previously rendered feature was used instead of an empty one.

git-svn-id: http://svn.osgeo.org/qgis/trunk@8294 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2008-02-28 08:55 AM - Frank Warmerdam -

| chatted about this very briefly on IRC and Bob reasonable suggested that the attribute table ought to show the field as NULL (perhaps blank) and the
rendering might just not draw features with null fields for classification.

| skimmed the OGR provider and | see it makes no effort to distingish between NULL and non-null fields. Is it intended that providers can return features
with NULL attributes marked in some fashion in the attribute map? Perhaps, those attributes should just not be added to the attribute map for that feature?

Skimming the Postgres provider, it also seems to make no effort to distingish between null and non-null field values.

Perhaps the problem is just at the provider level?

#2 - 2008-02-28 11:40 AM - cgsbob -

Replying to cgsbob:
The image | just uploaded has a bug :-) The beginning arrow coming from the pgadmin3 window should begin at record 141 (one cell below).
#3 - 2008-02-28 11:58 AM - cgsbob -

Replying to [comment:2 cgsbob]:

Replying to cgsbob:

The image | just uploaded has a bug :-) The beginning arrow coming from the pgadmin3 window should begin at record 141 (one cell below).

Disregard this the comment above...it is correct. Is there a way to delete comments?

#4 - 2008-03-13 11:44 AM - Jiirgen Fischer
- Status changed from Open to Closed

- Resolution set to fixed

#5 - 2008-03-25 10:26 PM - cgsbob -
Replying to [comment:5 jef]:

| see that the attribute table now shows nulls as NULL, but the feature is still rendered as black dots. | was hoping that fixing #962 meant that the null
attributes would not be rendered.

#6 - 2008-03-25 10:55 PM - Jiirgen Fischer
- Status changed from Closed to Feedback

- Resolution deleted (fixed)

#7 - 2008-03-26 01:30 AM - Jiirgen Fischer

- Status changed from Feedback to Closed
- Resolution set to fixed

fixed in

#8 - 2008-03-26 05:03 PM - cgsbob -

Replying to [comment:8 jef]:

fixed in

| wish this was an easier bug to fix, but there is still a problem :-) The null point features the color range white to red). When you zoom in these null point

features disappears.

#9 - 2008-03-26 06:06 PM - Jirgen Fischer
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

Replying to [comment:9 cgsbob]:
Replying to [comment:8 jef]:

fixed in

| wish this was an easier bug to fix, but there is still a problem :-) The null point features the color range white to red). When you zoom in these null

point features disappears.

Sorry, | don't get what you're saying. Did you post get mixed up?

#10 - 2008-03-26 09:32 PM - cgsbob -

Replying to [comment:10 jef]:

Replying to [comment:9 cgsbob]:

Replying to [comment:8 jef]:

fixed in

| wish this was an easier bug to fix, but there is still a problem :-) The null point features the color range white to red). When you zoom in these

null point features disappears.

Sorry, | don't get what you're saying. Did you post get mixed up?

Yes, | did mix up my post. | was trying to say that the features that have null attribute still appear in my map and when | zoom in those features they
disappear. I'll upload some pics to demonstrate.

#11 - 2008-03-27 04:56 PM - Jiirgen Fischer
- Status changed from Feedback to Closed
- Resolution set to fixed

You probably missed the working version. might have worked, but my optimization in commit:9a584ede (SVN r8287) actually broke the postgres
provider. | think I've fixed that in commit:fa696cda (SVN r8291).

#12 - 2008-03-28 12:11 PM - Jiirgen Fischer
- Resolution deleted (fixed)

- Status changed from Closed to Feedback
#13 - 2008-03-28 01:01 PM - Jiirgen Fischer

- Status changed from Feedback to Closed
- Resolution set to fixed

thanks for the patience. | think | finally got it right.

#14 - 2008-03-28 10:37 PM - cgsbob -
Replying to [comment:14 jef]:

thanks for the patience. | think | finally got it right.

| just updated from svn. Everything (well, almost everything :) ) is all right. One little cosmetic change you can make is to update the extent.

Thanks for all your work!

#15 - 2008-03-31 10:55 AM - Jiirgen Fischer

Replying to [comment:15 cgsbob]:

One little cosmetic change you can make is to update the extent.

| don't think the is a rendering issue. If you don't want to handle the null features at all, I'd suggest that you filter them out using a where clause.

Files
